% -------------------------------------------------------------------------
% ---------------------   Universidad de Guanajuato   ---------------------
% -----------------------------    F.I.M.E.E.  ----------------------------
% ----------------------------- Lab. Calculo I  ---------------------------
% ------------------------------  Practica 6    ---------------------------
% ----------------  Prof. Ing. Daniel Arturo Razo Montes ------------------
% ------------------------------ HSP Digital ------------------------------
% -------------------------------------------------------------------------

clc         % Borra lo escrito y desplegado en la ventana de comandos
clear all   % Inicializa el espacio de trabajo en 0's; borra las variables
close all   % Cierra todas las ventanas abiertas (...de figuras)
            % previas
syms x t w  % declaracion de un objeto simbolico

% ------------------------------- Ejemplo 1 -------------------------------
y_11 = 2*x^7;            % funcion dada 1
y_21 = 3/(x^5);          % funcion dada 2
y_31 = 10*(x^2)^(1/3);   % funcion dada 3
y_s1 = [y_11 y_21 y_31]; % vector con las funciones 1, 2 y 3 de ^
disp('--------------------------- Ejemplo 1 ---------------------------');
disp('y_s(x) = ')
pretty(y_s1)
ant_der_s1 = int(y_s1,x); % comando que devuelve la integral de una funcion
disp('Antiderivadas del vector de funciones y_s')
pretty(ant_der_s1)
der_s1 = diff(ant_der_s1,x);  % derivada
disp('Derivadas del vector de antiderivadas ')
pretty(der_s1)
disp('-----------------------------------------------------------------');
% Graficas
figure('Name','Ejemplo 1_a')
% funciones
ezplot(y_11)
hold on
ezplot(y_21)
ezplot(y_31)
grid on
legend('y_1','y_2','y_3')   % muestra una leyenda en una grafica
title('y_{s}(x)')
% integrales
figure('Name','Ejemplo 1_b')
ezplot(ant_der_s1(1))
hold on
ezplot(ant_der_s1(2))
ezplot(ant_der_s1(3))
grid on
legend('int_1','int_2','int_3')
title('Antiderivadas de y_{s}(x)')
% derivadas
figure('Name','Ejemplo 1_c')
ezplot(der_s1(1))
hold on
ezplot(der_s1(2))
ezplot(der_s1(3))
grid on
legend('der_1','der_2','der_3')
title('Derivadas del vector de integrales')
% -------------------------------------------------------------------------

% ------------------------------- Ejemplo 2 -------------------------------
y_12 = 3/(sqrt(t));            % funcion dada 1
y_22 = 3*t^5 - 2*t^3;          % funcion dada 2
y_32 = (t^4)*(5 - t^2);        % funcion dada 3
y_s2 = [y_12 y_22 y_32];       % vector con las funciones 1, 2 y 3 de ^
disp('--------------------------- Ejemplo 2 ---------------------------');
disp('y_s(t) = ')
pretty(y_s2)
ant_der_s2 = int(y_s2,t); % comando que devuelve la integral de una funcion
disp('Antiderivadas del vector de funciones y_s')
pretty(ant_der_s2)
der_s2 = diff(ant_der_s2,t);  % derivada
disp('Derivadas del vector de antiderivadas ')
pretty(der_s2)
disp('-----------------------------------------------------------------');
% Graficas
figure('Name','Ejemplo 2')
% funciones
subplot(3,3,1)
ezplot(y_12)
grid
title('f_{1}(t)')
subplot(3,3,4)
ezplot(y_22)
grid
title('f_{2}(t)')
subplot(3,3,7)
ezplot(y_32)
grid
title('f_{3}(t)')
%
% integrales
% 
subplot(3,3,2)
ezplot(ant_der_s2(1))
grid
title('F_{1}(t)')
subplot(3,3,5)
ezplot(ant_der_s2(2))
grid
title('F_{2}(t)')
subplot(3,3,8)
ezplot(ant_der_s2(3))
grid
title('F_{3}(t)')
%
% derivadas
%
subplot(3,3,3)
ezplot(der_s2(1))
grid
title('F\prime_{1}(t)')
subplot(3,3,6)
ezplot(der_s2(2))
grid
title('F\prime_{2}(t)')
subplot(3,3,9)
ezplot(der_s2(3))
grid
title('F\prime_{3}(t)')
% -------------------------------------------------------------------------

% ------------------------------- Ejemplo 3 -------------------------------
y_13 = 5*cos(w) - 4*sin(w);                 % funcion dada 1
y_23 = cos(w)/((sin(w))^2);                 % funcion dada 2
y_33 = 3*(csc(w))^2 - 5*sec(w)*tan(w);      % funcion dada 3
y_43 = (3*tan(w) - 4*(cos(w))^2)/(cos(w));  % funcion dada 4
y_s3 = [y_13 y_23 y_33 y_43];   % vector con las funciones 1, 2, 3 y 4 de ^
disp('--------------------------- Ejemplo 3 ---------------------------');
disp('y_s(w) = ')
pretty(y_s3)
ant_der_s3 = int(y_s3,w); % comando que devuelve la integral de una funcion
disp('Antiderivadas del vector de funciones y_s')
pretty(ant_der_s3)
der_s3 = diff(ant_der_s3,w);  % derivada
disp('Derivadas del vector de antiderivadas ')
pretty(der_s3)
disp('-----------------------------------------------------------------');
% Graficas
figure('Name','Ejemplo 3')
% funciones
subplot(4,3,1)
ezplot(y_13)
grid
title('f_{1}(t)')
subplot(4,3,4)
ezplot(y_23)
grid
title('f_{2}(t)')
subplot(4,3,7)
ezplot(y_33)
grid
title('f_{3}(t)')
subplot(4,3,10)
ezplot(y_43)
grid
title('f_{4}(t)')
%
% integrales
% 
subplot(4,3,2)
ezplot(ant_der_s3(1))
grid
title('F_{1}(t)')
subplot(4,3,5)
ezplot(ant_der_s3(2))
grid
title('F_{2}(t)')
subplot(4,3,8)
ezplot(ant_der_s3(3))
grid
title('F_{3}(t)')
subplot(4,3,11)
ezplot(ant_der_s3(4))
grid
title('F_{4}(t)')
%
% derivadas
%
subplot(4,3,3)
ezplot(der_s3(1))
grid
title('F\prime_{1}(t)')
subplot(4,3,6)
ezplot(der_s3(2))
grid
title('F\prime_{2}(t)')
subplot(4,3,9)
ezplot(der_s3(3))
grid
title('F\prime_{3}(t)')
subplot(4,3,12)
ezplot(der_s3(4))
grid
title('F\prime_{4}(t)')
% -------------------------------------------------------------------------